oracle.pgx.config

## Class TwoTablesGraphConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig
    - - oracle.pgx.config.AbstractTwoTablesConfig
      - - oracle.pgx.config.TwoTablesGraphConfig

-     @Generated(value="config_generator.py")
      public class TwoTablesGraphConfig
      extends AbstractTwoTablesConfig

  PGX Engine Two Tables Format Graph Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TwoTablesGraphConfig.Field` Fields of PGX Engine Two Tables Format Graph Config

  - ### Field Summary

    - ### Fields inherited from class oracle.pgx.config.AbstractTwoTablesConfig

      `JDBC_PREFIX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()` Gets the charset.
    `String` | `getDateFormat()` the date format to use when loading and storing date properties.
    `List<GraphPropertyConfig>` | `getEdgeProps()` specification of edge properties associated with graph
    `String` | `getEdgesKeyColumn()` name of primary key column in edges table
    `String` | `getEdgesTableName()` name of edges table
    `GraphErrorHandlingConfig` | `getErrorHandling()` error handling configuration
    `Format` | `getFormat()` graph format (Note: `bin` is deprecated, use `pgb` instead)
    `String` | `getFromNidColumn()` column name for source node
    `String` | `getJdbcUrl()` jdbc URL pointing to database
    `GraphLoadingConfig` | `getLoading()` loading-specific configuration
    `String` | `getNodesKeyColumn()` name of primary key column in nodes table
    `String` | `getNodesTableName()` name of nodes table
    `String` | `getPassword()` password to use when connecting to database
    `String` | `getToNidColumn()` column name for destination node
    `String` | `getUsername()` username to use when connecting to database
    `Map<TwoTablesGraphConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<TwoTablesGraphConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `IdType` | `getVertexIdType()` type of the vertex id
    `List<GraphPropertyConfig>` | `getVertexProps()` specification of vertex properties associated with graph
    `boolean` | `hasDefaultValue(TwoTablesGraphConfig.Field field)` Checks for default value.
    `static TwoTablesGraphConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static TwoTablesGraphConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static TwoTablesGraphConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractTwoTablesConfig

      `getName`

    - ### Methods inherited from class oracle.pgx.config.GraphConfig

      `equals, getEdgePropertyDefault, getEdgePropertyName, getEdgePropertyType, getNodeKeyType, getNodePropertyDefault, getNodePropertyName, getNodePropertyType, hashCode, isFileFormat, isFileFormat, numEdgeProperties, numNodeProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getDateFormat

          public String getDateFormat()

      the date format to use when loading and storing date properties. Please see SimpleDateFormat for a documentation of the format string

    - #### getEdgeProps

          public List<GraphPropertyConfig> getEdgeProps()

      specification of edge properties associated with graph
      Specified by:
        `getEdgeProps` in class `GraphConfig`
      Returns:
        the list of vertex properties

    - #### getEdgesKeyColumn

          public String getEdgesKeyColumn()

      name of primary key column in edges table
      Specified by:
        `getEdgesKeyColumn` in class `AbstractTwoTablesConfig`

    - #### getEdgesTableName

          public String getEdgesTableName()

      name of edges table
      Specified by:
        `getEdgesTableName` in class `AbstractTwoTablesConfig`

    - #### getErrorHandling

          public GraphErrorHandlingConfig getErrorHandling()

      error handling configuration
      Specified by:
        `getErrorHandling` in class `GraphConfig`
      Returns:
        the error handling configuration

    - #### getFormat

          public Format getFormat()

      graph format (Note: `bin` is deprecated, use `pgb` instead)
      Specified by:
        `getFormat` in class `GraphConfig`
      Returns:
        the format

    - #### getFromNidColumn

          public String getFromNidColumn()

      column name for source node
      Specified by:
        `getFromNidColumn` in class `AbstractTwoTablesConfig`

    - #### getJdbcUrl

          public String getJdbcUrl()

      jdbc URL pointing to database
      Specified by:
        `getJdbcUrl` in class `AbstractTwoTablesConfig`

    - #### getLoading

          public GraphLoadingConfig getLoading()

      loading-specific configuration
      Specified by:
        `getLoading` in class `GraphConfig`
      Returns:
        the loading configuration

    - #### getNodesKeyColumn

          public String getNodesKeyColumn()

      name of primary key column in nodes table
      Specified by:
        `getNodesKeyColumn` in class `AbstractTwoTablesConfig`

    - #### getNodesTableName

          public String getNodesTableName()

      name of nodes table
      Specified by:
        `getNodesTableName` in class `AbstractTwoTablesConfig`

    - #### getPassword

          public String getPassword()

      password to use when connecting to database
      Specified by:
        `getPassword` in class `AbstractTwoTablesConfig`

    - #### getToNidColumn

          public String getToNidColumn()

      column name for destination node
      Specified by:
        `getToNidColumn` in class `AbstractTwoTablesConfig`

    - #### getUsername

          public String getUsername()

      username to use when connecting to database
      Specified by:
        `getUsername` in class `AbstractTwoTablesConfig`

    - #### getValues

          public Map<TwoTablesGraphConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<TwoTablesGraphConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### getVertexIdType

          public IdType getVertexIdType()

      type of the vertex id
      Specified by:
        `getVertexIdType` in class `GraphConfig`
      Returns:
        the vertex ID type

    - #### getVertexProps

          public List<GraphPropertyConfig> getVertexProps()

      specification of vertex properties associated with graph
      Specified by:
        `getVertexProps` in class `GraphConfig`
      Returns:
        the list of vertex properties

    - #### hasDefaultValue

          public boolean hasDefaultValue(TwoTablesGraphConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### parse

          public static TwoTablesGraphConfig parse(InputStream is,
                                   boolean strict,
                                   File parent)
                                            throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static TwoTablesGraphConfig parse(Map<String,Object> raw,
                                   boolean strict,
                                   File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static TwoTablesGraphConfig parse(Properties props,
                                   boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.